Module | ActiveMerchant::Billing::PayflowCommonAPI
In: | lib/active_merchant/billing/gateways/payflow/payflow_common_api.rb

### Methods

capture included new test? void

### Constants

XMLNS | = | 'http://www.paypal.com/XMLPay'
TEST_URL | = | 'https://pilot-payflowpro.paypal.com'
LIVE_URL | = | 'https://payflowpro.paypal.com'
CARD_MAPPING | = | { :visa => 'Visa', :master => 'MasterCard', :discover => 'Discover', :american_express => 'Amex', :jcb => 'JCB', :diners_club => 'DinersClub', :switch => 'Switch', :solo => 'Solo'
TRANSACTIONS | = | { :purchase => "Sale", :authorization => "Authorization", :capture => "Capture", :void => "Void", :credit => "Credit"
CVV_CODE | = | { 'Match' => 'M', 'No Match' => 'N', 'Service Not Available' => 'U', 'Service not Requested' => 'P'

### Public Class methods

included(base)
new(options = {})

### Public Instance methods

capture(money, authorization, options = {})
test?()
void(authorization, options = {})

[Validate]